4 Replies Latest reply: Jul 29, 2012 10:56 AM by BDAqua
Old Burro Level 1 Level 1 (0 points)

I am running Mac OS 10.4.11. I bought a new camera, and my software is too old. How do I update/upgrade? I need to be running 10.5.8, 10.6.8 or 10.7.2. Please help!

 

Processor: 2.16 GHz Intel Core 2 Duo


iMac, Mac OS X (10.4.11)
  • 1. Re: I need to update or upgrade? I'm confused...
    BDAqua Level 10 Level 10 (116,480 points)

    Hello,

     

    Update refers to like going from 10.4.8 to 10.4.11, Upgrade refers to going a whole point or more, like from 10.4.x to 10.5.x or 10.6.x

     

    We need more info about your Mac to see if it will even be capable,

     

    So we know more about it...

     

    At the Apple Icon at top left>About this Mac, then click on More Info, then click on Hardware> and report this upto but not including the Serial#...

     

    Hardware Overview:

     

    Model Name: iMac

    Model Identifier: iMac7,1

    Processor Name: Intel Core 2 Duo

    Processor Speed: 2.4 GHz

    Number Of Processors: 1

    Total Number Of Cores: 2

    L2 Cache: 4 MB

    Memory: 6 GB

    Bus Speed: 800 MHz

    Boot ROM Version: IM71.007A.B03

    SMC Version (system): 1.21f4

  • 2. Re: I need to update or upgrade? I'm confused...
    Kappy Level 10 Level 10 (226,775 points)

    Snow Leopard General requirements

     

    • Mac computer with an Intel processor
    • 1GB of memory
    • 5GB of available disk space
    • DVD drive for installation
    • Some features require a compatible Internet service provider; fees may apply.
    • Some features require Apple’s MobileMe service; fees and terms apply.

     

    If you meet the above then you can upgrade at least to Snow Leopard.

     

    To purchase Snow Leopard: you can still purchase a copy from Apple's online store's telesales agents.[1-800-MY-APPLE (1-800-692-7753) or Customer Service and Sales Support at 1-800-676-2775.]

  • 3. Re: I need to update or upgrade? I'm confused...
    Old Burro Level 1 Level 1 (0 points)

    OK, Here's the info on my iMac. I sure appreciate the help!

     

    Model Name:          iMac

      Model Identifier:          iMac5,1

      Processor Name:          Intel Core 2 Duo

      Processor Speed:          2.16 GHz

      Number Of Processors:          1

      Total Number Of Cores:          2

      L2 Cache (per processor):          4 MB

      Memory:          1 GB

      Bus Speed:          667 MHz

      Boot ROM Version:          IM51.0090.B09

      SMC Version:          1.9f4

  • 4. Re: I need to update or upgrade? I'm confused...
    BDAqua Level 10 Level 10 (116,480 points)

    It could run 10.6 as is, but really needs more Memory...

     

    Your iMac can hold 3-4 GB of RAM...

     

    http://www.everymac.com/systems/apple/imac/specs/imac-core-2-duo-2.16-20-inch-sp ecs.html

     

    http://eshop.macsales.com/shop/apple/memory/iMac/Intel_Core_2_Duo_2006

     

    You could run as high as 10.7.5 if Apple still has it available...

     

    Lion/101.7 System requirements

        •    x86-64 processor (Macs with an Intel Core 2 Duo, Intel Core i3, Intel Core i5, Intel Core i7, or Xeon processor.)

        •    At least 2GB of memory, I say 6 GB

        •    Latest version of Mac OS X Snow Leopard (10.6.8), with the Mac App Store installed

        •    At least 4GB of disk space for downloading, I say 50 GB.

    Like Snow Leopard, Lion does not support PowerPC-based Macs (e.g., Power Macs, PowerBooks, iBooks, iMacs (G3-G5), eMacs).

    Lion also does not support 32-bit Intel Core Duo or Core Solo based Macs. Rosetta is no longer available in Lion, which means Lion no longer supports PowerPC applications.

     

    http://en.wikipedia.org/wiki/Mac_OS_X_Lion#System_requirements

     

    http://www.apple.com/macosx/how-to-buy/